com.aliyun.svideosdk.common.struct.effect

## Class EffectSticker

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectBase
  - - com.aliyun.svideosdk.common.struct.effect.EffectSticker

- All Implemented Interfaces:
    IEffectRect

      public class EffectSticker
      extends EffectBase
      implements IEffectRect

  v3.27.0新增 贴图的实体类

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mFlipH`
    `protected EffectRect` | `mRect`

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `mSource, resId, viewId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectSticker(Source aSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectSticker` | `copy()` 拷贝当前对象
    `void` | `copy(EffectSticker effectSticker)` 从指定对象拷贝数据
    `float` | `getHeightRatio()` 获取高的比例值
    `float` | `getRotation()` 获取字幕旋转的弧度
    `float` | `getWidthRatio()` 获取宽的比例值
    `float` | `getXRadio()` 获取x坐标的比例值
    `float` | `getYRadio()` 获取y坐标的比例值
    `boolean` | `isFlipH()` 是否水平翻转
    `void` | `setFlipH(boolean flip)` 设置是否镜像
    `void` | `setHeightRatio(float heightRatio)` 设置高的比例值
    `void` | `setRotation(float radian)` 设置字幕当前旋转的弧度
    `void` | `setWidthRatio(float widthRatio)` 设置宽的比例值
    `void` | `setXRadio(float xRatio)` 设置x坐标的比例值
    `void` | `setYRatio(float yRatio)` 设置y坐标的比例值

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.EffectBase

      `checkIsInvalid, copy, getPath, getResId, getSource, getViewId, readString, setPath, setResId, setSource, setViewId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mRect

          protected EffectRect mRect

    - #### mFlipH

          protected boolean mFlipH

  - ### Constructor Detail

    - #### EffectSticker

          public EffectSticker(Source aSource)

  - ### Method Detail

    - #### isFlipH

          public boolean isFlipH()

      是否水平翻转

    - #### setFlipH

          public void setFlipH(boolean flip)

      设置是否镜像
      Parameters:
        `flip` -

    - #### getXRadio

          public float getXRadio()

      Description copied from interface: `IEffectRect`
      获取x坐标的比例值
      Specified by:
        `getXRadio` in interface `IEffectRect`
      Returns:
        x坐标比例 范围 [0 - 1]

    - #### setXRadio

          public void setXRadio(float xRatio)

      Description copied from interface: `IEffectRect`
      设置x坐标的比例值
      Specified by:
        `setXRadio` in interface `IEffectRect`
      Parameters:
        `xRatio` - 比例值 [0 - 1]

    - #### getYRadio

          public float getYRadio()

      Description copied from interface: `IEffectRect`
      获取y坐标的比例值
      Specified by:
        `getYRadio` in interface `IEffectRect`
      Returns:
        y坐标比例 范围 [0 - 1]

    - #### setYRatio

          public void setYRatio(float yRatio)

      Description copied from interface: `IEffectRect`
      设置y坐标的比例值
      Specified by:
        `setYRatio` in interface `IEffectRect`
      Parameters:
        `yRatio` - 比例值 [0 - 1]

    - #### getWidthRatio

          public float getWidthRatio()

      Description copied from interface: `IEffectRect`
      获取宽的比例值
      Specified by:
        `getWidthRatio` in interface `IEffectRect`
      Returns:
        宽的比例 [0 - 1]

    - #### setWidthRatio

          public void setWidthRatio(float widthRatio)

      Description copied from interface: `IEffectRect`
      设置宽的比例值
      Specified by:
        `setWidthRatio` in interface `IEffectRect`
      Parameters:
        `widthRatio` - 宽比例 [0 - 1]

    - #### getHeightRatio

          public float getHeightRatio()

      Description copied from interface: `IEffectRect`
      获取高的比例值
      Specified by:
        `getHeightRatio` in interface `IEffectRect`
      Returns:
        高的比例 [0 - 1]

    - #### setHeightRatio

          public void setHeightRatio(float heightRatio)

      Description copied from interface: `IEffectRect`
      设置高的比例值
      Specified by:
        `setHeightRatio` in interface `IEffectRect`
      Parameters:
        `heightRatio` - 高比例 [0 - 1]

    - #### getRotation

          public float getRotation()

      Description copied from interface: `IEffectRect`
      获取字幕旋转的弧度
      Specified by:
        `getRotation` in interface `IEffectRect`
      Returns:
        弧度值

    - #### setRotation

          public void setRotation(float radian)

      Description copied from interface: `IEffectRect`
      设置字幕当前旋转的弧度
      Specified by:
        `setRotation` in interface `IEffectRect`

    - #### copy

          public EffectSticker copy()

      拷贝当前对象

    - #### copy

          public void copy(EffectSticker effectSticker)

      从指定对象拷贝数据
      Parameters:
        `effectSticker` -